\name{histograph}
\alias{histograph}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Histograms for model EBAYES}
\description{
  Draws histograms for model ebayes.
   }
   \usage{
histograph(d1.a, d1.t, dt.da, SD, depvar=" ",
           model="ebayes", graphics.file=NA)
  
%- maybe also 'usage' for other objects documented here.
}
\arguments{
  \item{d1.a}{Numeric vector, i.e. first derivative respect to age.}
  
  \item{d1.t}{Numeric vector, i.e. first derivative respect to time.}
  
  \item{dt.da}{Numeric vector, i.e. second derivative respect to age
    and time.}
  
  \item{SD}{Numeric vector, i.e. standard deviation.}
  
  \item{depvar}{String with the name of the dependent variable. Default:""}
  
  \item{model}{String with the name of the model. Default:"ebayes".}
  
  \item{graphics.file}{String or NA.If string the name of a file to be 
    appended to a directory path where the graphics will be saved, if NA
    it is displayed in the screen and not saved.  Default:NA.}
 }
\details{
  ~~ If necessary, more details than the description above ~~
}
\value{

  Histograms of the vectors \code{d1.a, d1.t, dt.da, SD};
  see demos for chp.11.7, chp.11.8, chp.11.9
  ...
}
\references{ \url{http://gking.harvard.edu/yourcast}  }
\author{Federico Girosi <\email{girosi@rand.org}>}
\note{ ~~further notes~~ 
 See demos; for example: demo(chp.11.7)
 ~Make other sections like Warning with \section{Warning }{....} ~
}
\seealso{ ~~objects to See Also as \code{\link{help}}, ~~~ }
\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function(d1.a, d1.t, dt.da, SD, depvar=" ",
                       model="ebayes", graphics.file=NA)
  {
    main.title <- paste(depvar,sep=" ")
    oop <- par(cex.lab=1.4,omi=c(0,0.1,0,0),cex.main=1.4,bg="lavenderblush1",font=2,font.axis=2)
    op  <- par(mfrow=c(2,2))

    z <- hist(d1.a,col="firebrick2",xlab="delta age",main=main.title)
    mean.text <- paste("Mean:",round(mean(d1.a),digits=2))
    median.text <- paste("Median:",round(median(d1.a),digits=2))
    text(x=max(z$breaks), y=max(z$counts),mean.text,pos=2)

    z <- hist(d1.t,col="firebrick2",xlab="delta time",main=main.title)
    mean.text <- paste("Mean:",round(mean(d1.t),digits=3))
    median.text <- paste("Median:",round(median(d1.t),digits=3))
    text(x=max(z$breaks), y=max(z$counts),mean.text,pos=2)
  
    z <- hist(dt.da,col="firebrick2",xlab="delta age/time",main=main.title)
    mean.text <- paste("Mean:",round(mean(dt.da),digits=3))
    median.text <- paste("Median:",round(median(dt.da),digits=3))
    text(x=max(z$breaks), y=max(z$counts),mean.text,pos=2)
  
    z <- hist(SD,col="firebrick2",xlab="Standard Deviation",main=main.title)
    mean.text <- paste("Mean:",round(mean(SD),digits=2))
    median.text <- paste("Median:",round(median(SD),digits=3))
    text(x=max(z$breaks), y=max(z$counts),mean.text,pos=2)
    strata <- NULL
    if(length(grep("[0-9]+", depvar)) > 0)
      {
        vesp <- strsplit(depvar, NULL)[[1]]
        ix <- grep("[0-9]+", vesp)
        ix <- max(ix)
        strata <- vesp[ix]
      }
    par(op)
    if(identical(graphics.file,NA)) graphics.file <- paste("empirical",depvar,strata,model,sep = "_")
    if (is.character(graphics.file)){
      try(savePlot(file=paste(whooutpath,graphics.file,sep=""),type="pdf"), silent=T)
    }
  }
}
\keyword{file}% at least one, from doc/KEYWORDS

